- Qt 6.7
- Qt 3D
- C++ Classes
- Qt3DExtras
- QSphereMesh
- Qt 6.7.3 Reference Documentation

# QSphereMesh Class

class Qt3DExtras::QSphereMesh

A spherical mesh. More...

Header: | #include <Qt3DExtras/QSphereMesh>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3dextras) target_link_libraries(mytarget PRIVATE Qt6::3dextras)
qmake: | QT += 3dextras
Instantiated By: | SphereMesh
Inherits: | Qt3DRender::QGeometryRenderer

- List of all members, including inherited members

## Properties

- generateTangents : bool
- radius : float
- rings : int
- slices : int

## Public Functions

| QSphereMesh(Qt3DCore::QNode *parent = nullptr)
bool | generateTangents() const
float | radius() const
int | rings() const
int | slices() const

## Public Slots

void | setGenerateTangents(bool gen)
void | setRadius(float radius)
void | setRings(int rings)
void | setSlices(int slices)

## Signals

void | generateTangentsChanged(bool generateTangents)
void | radiusChanged(float radius)
void | ringsChanged(int rings)
void | slicesChanged(int slices)

## Detailed Description

## Property Documentation

### generateTangents : bool

Holds the value of the automatic tangent vectors generation flag. Tangent vectors are orthogonal to normal vectors.

Access functions:

bool | generateTangents() const
void | setGenerateTangents(bool gen)

Notifier signal:

void | generateTangentsChanged(bool generateTangents)

### radius : float

Holds the radius of the sphere.

Access functions:

float | radius() const
void | setRadius(float radius)

Notifier signal:

void | radiusChanged(float radius)

### rings : int

Holds the number of rings in the mesh.

Access functions:

int | rings() const
void | setRings(int rings)

Notifier signal:

void | ringsChanged(int rings)

### slices : int

Holds the number of slices in the mesh.

Access functions:

int | slices() const
void | setSlices(int slices)

Notifier signal:

void | slicesChanged(int slices)

## Member Function Documentation

### `[explicit]` QSphereMesh::QSphereMesh(Qt3DCore::QNode *parent = nullptr)

Constructs a new QSphereMesh with parent.